package com.wgmf.yxgj.module.business.managecapital.model;

import com.wgmf.yxgj.publics.model.Shop;
/**
 * @author XiePing
 *         capitalReceiptsId (integer, optional): 资产收货id ,
 *         dispatchDate (string, optional): 配送日期 ,
 *         dispatchNo (string, optional): 配送单号 ,
 *         dispatchNum (integer, optional): 配送数量 ,
 *         shop (Shop, optional): 门店
 *         isNotOeDBFlag = 'oeDB' 表示oe调拨的单；isNotOeDBFlag = ‘other’ 其它配送收货 ,
 *         organiser (string, optional): 发起人 ,
 */
@SuppressWarnings("all")
public class CapitalReceiptsEntity {

    private int capitalReceiptsId;

    private Shop shop;

    private String dispatchNo;

    private String dispatchDate;

    private String dispatchNum;

    private String isNotOeDBFlag;

    private String organiser;

    public void setCapitalReceiptsId(int capitalReceiptsId) {
        this.capitalReceiptsId = capitalReceiptsId;
    }

    public int getCapitalReceiptsId() {
        return this.capitalReceiptsId;
    }

    public void setShop(Shop shop) {
        this.shop = shop;
    }

    public Shop getShop() {
        return this.shop;
    }

    public void setDispatchNo(String dispatchNo) {
        this.dispatchNo = dispatchNo;
    }

    public String getDispatchNo() {
        return this.dispatchNo;
    }

    public void setDispatchDate(String dispatchDate) {
        this.dispatchDate = dispatchDate;
    }

    public String getDispatchDate() {
        return this.dispatchDate;
    }

    public void setDispatchNum(String dispatchNum) {
        this.dispatchNum = dispatchNum;
    }

    public String getDispatchNum() {
        return this.dispatchNum;
    }

    public String getIsNotOeDBFlag() {
        return isNotOeDBFlag;
    }

    public void setIsNotOeDBFlag(String isNotOeDBFlag) {
        this.isNotOeDBFlag = isNotOeDBFlag;
    }

    public String getOrganiser() {
        return organiser;
    }

    public void setOrganiser(String organiser) {
        this.organiser = organiser;
    }
}