package com.wgmf.yxgj.module.business.managecapital.service.request;

import com.squareup.okhttp.FormEncodingBuilder;
import com.wgmf.library.base.BaseRequest;
import com.wgmf.yxgj.module.business.managecapital.service.protocol.GoodsReceiptsUpdateSetting;

/**
 * 资材收货
 *
 * @author XiePing
 */
public class GoodsReceiptsUpdateRequest extends BaseRequest {
    public GoodsReceiptsUpdateRequest(final String capitalReceiptsId,final String operateStaffId,final String isNotOeDBFlag) {
        this.builder = new FormEncodingBuilder();
        GoodsReceiptsUpdateSetting.GoodsReceiptsUpdateReq req = new GoodsReceiptsUpdateSetting.GoodsReceiptsUpdateReq();
        req.setCapitalReceiptsId(capitalReceiptsId);
        req.setOperateStaffId(operateStaffId);
        req.setIsNotOeDBFlag(isNotOeDBFlag);
        req.addParams(this.builder);
    }
}
