package com.wgmf.yxgj.module.business.manageproduct.model;

import java.io.Serializable;
import java.util.List;

/**
 * proBrandName (string, optional):品牌名称 ,
 * stockGoodsCheckDetailsList (Array[StockGoodsCheckDetails], optional):存货盘点明细
 * inventoryImages (string, optional):盘点单照片，多张用英文 ',' 隔开 ,
 * onlyUpdatePdImages (boolean, optional):只修改图片true,flase都修改 ,
 * pdBillCode (string, optional):盘点单号 ,
 * pdId (integer, optional):盘点Id ,
 * type (string, optional):类型 :UPDATE =0 或 INSERT =1
 */
public class StockGoodsDetailsGroup implements Serializable {

    private String proBrandName;
    private String inventoryImages;
    private boolean onlyUpdatePdImages;
    private int pdId;
    private String pdBillCode;
    private String type;

    private List<StockGoodsCheckDetailsList> stockGoodsCheckDetailsList;

    public String getProBrandName() {
        return proBrandName;
    }

    public void setProBrandName(String proBrandName) {
        this.proBrandName = proBrandName;
    }

    public List<StockGoodsCheckDetailsList> getStockGoodsCheckDetailsList() {
        return stockGoodsCheckDetailsList;
    }

    public void setStockGoodsCheckDetailsList(List<StockGoodsCheckDetailsList> stockGoodsCheckDetailsList) {
        this.stockGoodsCheckDetailsList = stockGoodsCheckDetailsList;
    }

    public String getInventoryImages() {
        return inventoryImages;
    }

    public void setInventoryImages(String inventoryImages) {
        this.inventoryImages = inventoryImages;
    }

    public boolean isOnlyUpdatePdImages() {
        return onlyUpdatePdImages;
    }

    public void setOnlyUpdatePdImages(boolean onlyUpdatePdImages) {
        this.onlyUpdatePdImages = onlyUpdatePdImages;
    }

    public String getPdBillCode() {
        return pdBillCode;
    }

    public void setPdBillCode(String pdBillCode) {
        this.pdBillCode = pdBillCode;
    }

    public int getPdId() {
        return pdId;
    }

    public void setPdId(int pdId) {
        this.pdId = pdId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
