package com.wgmf.yxgj.module.business.manageproduct.ui;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.wgmf.yxgj.base.BaseActivity;
import com.wgmf.yxgj.module.business.manageproduct.R;
import com.wgmf.yxgj.module.business.manageproduct.model.OrderGoodsShopEntity;

import java.util.List;

class GoodsAuditingShopListAdapter2 extends BaseAdapter {
    private List<OrderGoodsShopEntity> list;
    private BaseActivity context;

    GoodsAuditingShopListAdapter2(List<OrderGoodsShopEntity> mlist, BaseActivity context) {
        this.list = mlist;
        this.context = context;
    }

    @Override
    public int getCount() {

        return list == null ? 0 : list.size();
    }

    @Override
    public Object getItem(int position) {

        return list == null ? null : list.get(position);
    }

    @Override
    public long getItemId(int position) {

        return position;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        final ViewHolder viewHolder;
        if (convertView == null) {
            convertView = LayoutInflater.from(context).inflate(R.layout.auditing_goods_shop_item2, null);

            viewHolder = new ViewHolder();
            viewHolder.store = (TextView) convertView.findViewById(R.id.auditing_store2);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        OrderGoodsShopEntity ent = list.get(position);
        viewHolder.store.setText(ent.getShopName());
        return convertView;
    }

    class ViewHolder {
        TextView store;
    }
}
