package com.wgmf.yxgj.base;

import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.ImageButton;
import android.widget.Toast;

import com.wgmf.yxgj.utils.helper.DialogHelper;

public class BaseActivityTap extends BaseActivity implements DialogHelper.DialogResult {

    protected ImageButton back;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }



    @Override
    public void initTitle() {
        getWindow().setFeatureInt(Window.FEATURE_CUSTOM_TITLE, R.layout.title_tap);
        back = (ImageButton) findViewById(R.id.back_tap);
        back.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                back();
            }
        });
    }

    @Override
    public void focus(View view) {
        view.setFocusable(true);
        view.setFocusableInTouchMode(true);
        view.requestFocus();
    }

    @Override
    protected void onResume() {
        super.onResume();
//        initPdaConfig();

    }

    private void initPdaConfig() {
//        SystemHelper.LoginOrganId = PdaMsgConfig.getLoginOrgID(BaseActivityTap.this);
//        SystemHelper.IsAdmin = PdaMsgConfig.getIsAdmin(BaseActivityTap.this);
    }

    @Override
    protected void back() {
        this.finish();
    }

    /**
     * Toast提示
     */
    @Override
    public void showMsg(String msg) {
//        MyToast.show(BaseActivityTap.this, msg, 400);
        Toast.makeText(BaseActivityTap.this, msg, Toast.LENGTH_SHORT).show();
    }

    @Override
    public void onDialogResult(int tag) {
    }

}
