package com.wgmf.yxgj.module.business.parttime.ui;

import android.content.Context;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.wgmf.yxgj.module.business.parttime.R;
import com.wgmf.yxgj.module.business.parttime.model.SignTimeBeanList;
import com.wgmf.yxgj.module.business.parttime.model.ToDaySignListEntity;
import com.wgmf.yxgj.module.business.parttime.model.ToDaySignVoListEntity;
import com.wgmf.yxgj.widgets.ListView.ListViewForScrollView;
import com.wgmf.yxgj.widgets.TextView.MarqueeTextView;

import java.util.List;

/**
 * 兼职督察门店查询
 * 作者：xiep on 2018/3/14 16:28
 * 邮箱：2975837870@qq.com
 */

public class PartTimeScheduleSignInfoAdapter extends BaseAdapter {

    private Context context;
    private List<SignTimeBeanList> mSignTimeBeanList;

    PartTimeScheduleSignInfoAdapter(List<SignTimeBeanList> mSignTimeBeanList, Context context) {
        this.context = context;
        this.mSignTimeBeanList = mSignTimeBeanList;
    }

    @Override
    public int getCount() {
        return mSignTimeBeanList.isEmpty() ? 0 : mSignTimeBeanList.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(final int position, View convertView, ViewGroup parent) {
        convertView = View.inflate(context, R.layout.part_time_sign_info, null);
        ListViewForScrollView partTimeScheduleSignInfoLv = (ListViewForScrollView) convertView.findViewById(R.id.part_time_schedule_sign_lv);
        MarqueeTextView partTimeSignInfoTitle = (MarqueeTextView) convertView.findViewById(R.id.part_time_sign_info_title);
        TextView partTimeScheduleSignEmpty = (TextView) convertView.findViewById(R.id.part_time_schedule_sign_empty);
        partTimeScheduleSignInfoLv.setEmptyView(partTimeScheduleSignEmpty);
        partTimeSignInfoTitle.setText(mSignTimeBeanList.get(position).getSignDayDesc());
        //打卡数据处理
        List<ToDaySignVoListEntity> toDaySignVoListEntitys=mSignTimeBeanList.get(position).getTodaySignVoList();
        if (null != toDaySignVoListEntitys && !toDaySignVoListEntitys.isEmpty()) {
            PartTimeScheduleSignAdapter partTimeScheduleSignAdapter = new PartTimeScheduleSignAdapter(toDaySignVoListEntitys, context);
            partTimeScheduleSignInfoLv.setAdapter(partTimeScheduleSignAdapter);
        }
        return convertView;
    }
}