# 营销管家项目相关说明

 - 版本号   1.19.0
 - 修订内容 
 - [x] 兼职督察功能修改
 - 修订人   谢萍
 - 修订日期 2020.4.8
  
### 一、需求文档

###### 1、需求描述：

[需求描述地址](http://192.168.5.221/project/zhaoxz-ying-xiao-guan-jia/)

###### 2、原型地址：

[原型地址](https://org.modao.cc/app/6a2dafdcb3ec5e21fc3f1afa88e51948605b73d8#screen=s147BAF80F71566262400648)

### 二、代码相关说明

1、代码库地址：
http://192.168.5.168/XiePing/YingXiaoGuanJia-Android

2、项目组件：

include
 -         ':wgmflibrary',//基础组件库
 - 		   ':arouterlib',//路由分发
 -         ':modulebase',//业务基础库
 -         ':modulebaseweb',//Web容器
 -         ':modulelogin',//登录模块
 -         ':parttime',//兼职督察
 -         ':modulemain',//主界面
 -         ':modulebusiness',//业务
 -         ':modulemessage',//消息
 -         ':moduleperformance',//全面绩效
 -        ':managecapital',//资材管理
 -        ':manageka',//KA客户管理
 -        ':manageproduct',//货品管理
 -        ':managesales',//销售预测
 -        ':managestaff',//人事管理
 -         ':memberday',//会员日下店<--该功能已下线-->
 -         ':reportact',//特殊活动上报/新客拉新活动上报
 -         ':reportbigdata',//商超大数据提交
 -         ':reportibeacon',//ibeacon上报
 -         ':reportmonthly',//月总结与计划
 -         ':reportproblem',//反馈直通车/机修工单
 -         ':reportrating',//专柜位置上报
 -         ':reporttourshop',//巡店辅导
 -         ':talentpool',//人才库
 -         ':reportmodule',//通用上报-专项上报
 -         ':starplan',//人才发展<--未上线-->
 -         ':employability',//顾问培训

3、营销管家自建私库：

 公司私库地址：http://192.168.5.181:8081/nexus/#welcome

 账号：admin
 密码：admin23

```
 compile 'wgmf:indexbar:1.1.0'
 compile 'wgmf:mocklocationlib:1.0.0'
 compile 'wgmf:soundrecorderlib:1.1.0'
 compile 'wgmf:imagepickerlib:1.5.5'
 compile 'wgmf:timepickerlib:1.0.0'
```
 参考链接：

 [Android Maven私有仓库搭建笔记](https://www.jianshu.com/p/666c64e8854d)

 [Demo下载地址](https://github.com/XieXiePro/MavenDemo)

### 三、项目架构图

[项目架构图](https://img.wgmf.com/营销管家项目结构图.png)

### 四、发版注意事项

1、签名文件

参考生意管家签名方式和文件

2、Jinkens
http://192.168.9.59:8080/

测试：http://192.168.9.59:8080/job/YingXiaoGuanJia_test/

正式：http://192.168.9.59:8080/job/YingXiaoGuanJia_Release/

3、升级版本号

见根目录gradle.properties文件

#组件化开发模式开关（正式发版用 true，组件化分别开发用 false）
```
isLibrary=true

VERSION_CODE=39
VERSION_NAME=2.16.0
LIB_VERSION_CODE=18
LIB_VERSION_NAME=2.3.0
```
4、数据库配置
见\YingXiaoGuanJia\modulebase\build.gradle文件
```
greendao {
    //数据库版本号，改动需升级版本号(2.16.0.39--38)
    schemaVersion 38

    targetGenDir 'src/main/java'
    daoPackage 'com.wgmf.yxgj.db'
}
```
### 五、账号相关

##### 营销管家登录账号

* 23为督导,24为区域经理，25为片区主管，实为3主管的功能
     */
    private String oeRole;

工号|账号|密码|oeRole|组织

Wuyx
abc@123

054692
linyb
Lyb11111
14
总部

zhaoxue
zx940125
25
主管

##### 第三方账号

  1、友盟统计：
  (营销管家正式)
  75086079@qq.com
  Lyb11111
  appkey:570f081d67e58ed68d0023fb
  (营销管家测试)
  2975837870@qq.com
  appkey:568bdd1067e58eedf30012dd

  2、极光推送（正式）
  wgmf2016
  wgmf2016
  <!-- 正式：77382366e1b2044528e6e357 -->
  <!-- 测试账号由Haraway私人帐创建，详情请联系Haraway（2975837870@qq.com） -->
  <!-- 测试：ea905a44c38272fed24e908f -->

  3、高德地图
  <!-- 测试账号由Haraway私人帐创建，详情请联系Haraway（2975837870@qq.com） -->
  <meta-data
      android:name="com.amap.api.v2.apikey"
      android:value="9721b93d58c40c76b182cd3ed1196e96" />

  4、bug上报
  /**
   * 腾讯bugly APP_ID
   * 此账号由Haraway私人帐创建，详情请联系Haraway（2975837870@qq.com）
   */
  public static final String BUGLY_APP_ID = "900046430";

  5、微信分享
  /**
   * 微信APP_ID
   * 此账号由Haraway私人帐创建，详情请联系Haraway（2975837870@qq.com）
   */
  public static final String WXAPP_ID = "wx87541ca5067898b0";

  6、科大讯飞语音识别
  /**
   * 科大讯飞APP_ID
   * 此账号由Haraway私人帐创建，详情请联系Haraway（2975837870@qq.com）
   */

  7、热更新（正式）
  五谷磨房营销中心
  wgmf2016
  <!-- 阿里Hotfix配置 -->
  <!--正式-->
  <!--24623111-1-->
  <!--836397bb8e43a5737af4413195a0ab2a-->
  <!-- 测试账号由Haraway私人帐创建，详情请联系Haraway（2975837870@qq.com） -->
  <!--24549720-1-->
  <!--bc4899c35ee26ddf1224e9c26f470e8e-->

### 六、接口地址（测式）

营销管家服务接口（测式）：
 - http://test.wgmf.com/mkt-back/swagger-ui.html#/
 - http://test.wgmf.com/base-data-service/swagger-ui.html
 - http://test.wgmf.com/msg-service/swagger-ui.html#

营销管家服务接口（正式）：
 - http://app.wgmf.com/mkt-back/swagger-ui.html#/
 - http://app.wgmf.com/base-data-service/swagger-ui.html
 - http://app.wgmf.com/msg-service/swagger-ui.html#