package com.wgmf.yxgj.module.business.managecapital.model;

import com.wgmf.yxgj.model.FixedProductListEntity;

import java.io.Serializable;

/**
 * @author XiePing on 2016/11/22 15:30
 *         capitalReceiptsId (integer, optional): 资产收货id ,
 *         fixedProduct (FixedProduct, optional): 产品 ,
 *         productNum (integer, optional): 产品数量
 */
@SuppressWarnings("all")
public class CapitalReceiptsDetailsEntity implements Serializable {
    /**
     * 本地字段，是否有效
     */
    private boolean isInvalid;
    /**
     * 本地字段，是否已选
     */
    private boolean isChoice;
    /**
     * 本地字段，调拨数量
     */
    private double orderNum;

    private int capitalReceiptsId;

    private FixedProductListEntity fixedProduct;

    private double productNum;

    private String capitalReceiptProductBillCode;

    private boolean capitalReceiptProductFlag;

    public boolean isInvalid() {
        return isInvalid;
    }

    public void setInvalid(boolean invalid) {
        isInvalid = invalid;
    }

    public boolean isChoice() {
        return isChoice;
    }

    public void setChoice(boolean choice) {
        isChoice = choice;
    }

    public double getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(double orderNum) {
        this.orderNum = orderNum;
    }

    public void setCapitalReceiptsId(int capitalReceiptsId) {
        this.capitalReceiptsId = capitalReceiptsId;
    }

    public int getCapitalReceiptsId() {
        return this.capitalReceiptsId;
    }

    public String getCapitalReceiptProductBillCode() {
        return capitalReceiptProductBillCode;
    }

    public void setCapitalReceiptProductBillCode(String capitalReceiptProductBillCode) {
        this.capitalReceiptProductBillCode = capitalReceiptProductBillCode;
    }

    public boolean getCapitalReceiptProductFlag() {
        return capitalReceiptProductFlag;
    }

    public void setCapitalReceiptProductFlag(boolean capitalReceiptProductFlag) {
        this.capitalReceiptProductFlag = capitalReceiptProductFlag;
    }

    public void setFixedProduct(FixedProductListEntity fixedProduct) {
        this.fixedProduct = fixedProduct;
    }

    public FixedProductListEntity getFixedProduct() {
        return this.fixedProduct;
    }

    public void setProductNum(double productNum) {
        this.productNum = productNum;
    }

    public double getProductNum() {
        return this.productNum;
    }

    public boolean isCapitalReceiptProductFlag() {
        return capitalReceiptProductFlag;
    }
}