package com.wgmf.yxgj.module.business.managecapital.service.protocol;

import com.squareup.okhttp.FormEncodingBuilder;

/**
 * 资材收货请求实体
 *
 * @author XiePing
 */
@SuppressWarnings("all")
public class GoodsReceiptsUpdateSetting {
    /**
     * 资材收货请求
     */
    public static class GoodsReceiptsUpdateReq {
        /**
         * 资材收货Id
         */
        private String capitalReceiptsId;
        /**
         * 操作人工号
         */
        private String operateStaffId;
        /**
         * 是否是oeDB还是其它配送
         */
        private String isNotOeDBFlag;

        public String getCapitalReceiptsId() {
            return capitalReceiptsId;
        }

        public void setCapitalReceiptsId(String capitalReceiptsId) {
            this.capitalReceiptsId = capitalReceiptsId;
        }

        public String getOperateStaffId() {
            return operateStaffId;
        }

        public void setOperateStaffId(String operateStaffId) {
            this.operateStaffId = operateStaffId;
        }

        public String getIsNotOeDBFlag() {
            return isNotOeDBFlag;
        }

        public void setIsNotOeDBFlag(String isNotOeDBFlag) {
            this.isNotOeDBFlag = isNotOeDBFlag;
        }

        /**
         * 添加上报数据
         */
        public void addParams(FormEncodingBuilder builder) {
            if (null != this.capitalReceiptsId && this.capitalReceiptsId.length() > 0) {
                builder.add("capitalReceiptsId", this.capitalReceiptsId);
            }
            if (null != this.operateStaffId && this.operateStaffId.length() > 0) {
                builder.add("operateStaffId", this.operateStaffId);
            }
            if (null != this.isNotOeDBFlag && this.isNotOeDBFlag.length() > 0) {
                builder.add("isNotOeDBFlag", this.isNotOeDBFlag);
            }
        }
    }
}