package com.wgmf.yxgj.module.business.manageproduct.model;

import java.io.Serializable;

/**
 * locationId (integer, optional): 库位ID ,
 * pdAlterNum (number, optional): 修改盘点数量后的数量 ,
 * pdAmount (number, optional): 盘点金额 ,
 * pdBillCode (string, optional): 盘点单号 ,
 * pdDiffAmount (number, optional): 差异金额 ,
 * pdDiffNum (number, optional): 差异数量 ,
 * pdId (integer, optional): 盘点Id ,
 * pdNum (number, optional): 盘点数量 ,
 * pdStatus (string, optional): 盘点单状态 ('草稿', '待审核','生效') ,
 * proCode (string, optional): 产品编号 ,
 * proId (integer, optional): 产品id ,
 * proName (string, optional): 产品名字 ,
 * proPrice (number, optional): 产品价格 ,
 * proUnit (string, optional): 产品单位 ,
 * proUnitId (integer, optional): 产品单位Id ,
 * stockNum (number, optional): 库存数量 ,
 * storeId (integer, optional): 门店id ,
 * type (string, optional): 类型 :UPDATE =0 或 INSERT =1 ,
 * userNo (string, optional): 操作用户工号 ,
 * yearMonth (string, optional): 盘点单的年月yyyyMM
 * pdUpdateReson (string, optional):盘点修改原因
 *
 * @author XiePing on 2016/10/14 14:13
 */
public class StockGoodsCheckDetailsList implements Serializable {

    private String inventoryImages;
    /**
     * 记录修改前盘点库存
     */
    private double pdFrontNum;

    private int locationId;

    private String pdBillCode;

    private String pdAlterNum;

    private double pdDiffAmount;

    private double pdDiffNum;

    private int pdId;

    private double pdNum;

    private String proCode;

    private int proId;

    private String proName;

    private String proUnit;

    private int proUnitId;

    private double proPrice;

    private double stockNum;

    private double pdAmount;

    private int storeId;

    private String type;

    private String pdStatus;

    private String userNo;

    private String yearMonth;

    private String pdUpdateReson;

    public String getInventoryImages() {
        return inventoryImages;
    }

    public void setInventoryImages(String inventoryImages) {
        this.inventoryImages = inventoryImages;
    }

    public double getPdFrontNum() {
        return pdFrontNum;
    }

    public void setPdFrontNum(double pdFrontNum) {
        this.pdFrontNum = pdFrontNum;
    }

    public String getPdAlterNum() {
        return pdAlterNum;
    }

    public void setPdAlterNum(String pdAlterNum) {
        this.pdAlterNum = pdAlterNum;
    }

    public void setLocationId(int locationId) {
        this.locationId = locationId;
    }

    public int getLocationId() {
        return this.locationId;
    }

    public void setPdBillCode(String pdBillCode) {
        this.pdBillCode = pdBillCode;
    }

    public String getPdBillCode() {
        return this.pdBillCode;
    }

    public void setPdDiffAmount(double pdDiffAmount) {
        this.pdDiffAmount = pdDiffAmount;
    }

    public double getPdDiffAmount() {
        return this.pdDiffAmount;
    }

    public void setPdDiffNum(double pdDiffNum) {
        this.pdDiffNum = pdDiffNum;
    }

    public double getPdDiffNum() {
        return this.pdDiffNum;
    }

    public void setPdId(int pdId) {
        this.pdId = pdId;
    }

    public int getPdId() {
        return this.pdId;
    }

    public void setPdNum(double pdNum) {
        this.pdNum = pdNum;
    }

    public double getPdNum() {
        return this.pdNum;
    }

    public void setProCode(String proCode) {
        this.proCode = proCode;
    }

    public String getProCode() {
        return this.proCode;
    }

    public void setProId(int proId) {
        this.proId = proId;
    }

    public int getProId() {
        return this.proId;
    }

    public void setProName(String proName) {
        this.proName = proName;
    }

    public String getProName() {
        return this.proName;
    }

    public void setProUnit(String proUnit) {
        this.proUnit = proUnit;
    }

    public String getProUnit() {
        return this.proUnit;
    }

    public void setProUnitId(int proUnitId) {
        this.proUnitId = proUnitId;
    }

    public int getProUnitId() {
        return this.proUnitId;
    }

    public void setProPrice(double proPrice) {
        this.proPrice = proPrice;
    }

    public double getProPrice() {
        return this.proPrice;
    }

    public void setStockNum(double stockNum) {
        this.stockNum = stockNum;
    }

    public double getStockNum() {
        return this.stockNum;
    }

    public void setPdAmount(double pdAmount) {
        this.pdAmount = pdAmount;
    }

    public double getPdAmount() {
        return this.pdAmount;
    }

    public void setStoreId(int storeId) {
        this.storeId = storeId;
    }

    public int getStoreId() {
        return this.storeId;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getType() {
        return this.type;
    }

    public String getPdStatus() {
        return pdStatus;
    }

    public void setPdStatus(String pdStatus) {
        this.pdStatus = pdStatus;
    }

    public String getUserNo() {
        return userNo;
    }

    public void setUserNo(String userNo) {
        this.userNo = userNo;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public String getPdUpdateReson() {
        return pdUpdateReson;
    }

    public void setPdUpdateReson(String pdUpdateReson) {
        this.pdUpdateReson = pdUpdateReson;
    }
}