package com.wgmf.yxgj.module.business.parttime.model;

import java.io.Serializable;

/**
 * 兼职督察锁定库存盘点详情 {
 * adventQty (number, optional): 临期数 ,
 * invQty (number, optional): 上月盘点数 ,
 * productName (string, optional): 产品名称 ,
 * productNo (string, optional): 产品名称 ,
 * stockQty (number, optional): 当前库存 ,
 * remark (string, optional): 备注 ,
 * <p>
 * status (integer, optional): 状态 0:未检查 1:已检查 ,
 * stockCount (number, optional): 盘点数 ,
 * <p>
 * shouhuoQty (number, optional),
 * storeName (string, optional),
 * storeNo (string, optional)
 * 作者：xiep on 2018/3/19 16:45
 * 邮箱：2975837870@qq.com
 */

public class PartTimeAdventModelEntity implements Serializable {
    /**
     * 本地字段：是否选中
     */
    private boolean choice;
    /**
     * 临期数
     */
    private String adventQty;
    /**
     * 上月盘点数
     */
    private String invQty;

    private String productName;

    private String productNo;
    /**
     * 当前库存即实时库存与锁定库存
     */
    private String stockQty;

    private String status;

    private String stockCount;

    private String remark;

    private String takeStockId;

    private String takeStoclDetailId;
    /**
     * 过期货数
     */
    private String overTimeNumber;
    /**
     * 过期货数备注
     */
    private String overTimeRemark;
    /**
     * 兼职自己填的临期货数
     */
    private String partTimeAdventQty;

    private String shouhuoQty;

    public String getAdventQty() {
        return adventQty;
    }

    public void setAdventQty(String adventQty) {
        this.adventQty = adventQty;
    }

    public String getInvQty() {
        return invQty;
    }

    public void setInvQty(String invQty) {
        this.invQty = invQty;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public String getStockQty() {
        return stockQty;
    }

    public void setStockQty(String stockQty) {
        this.stockQty = stockQty;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public boolean isChoice() {
        return choice;
    }

    public void setChoice(boolean choice) {
        this.choice = choice;
    }

    /**
     * @return stockCount 盘点数提交用
     */
    public String getStockCount() {
        return stockCount;
    }

    public void setStockCount(String stockCount) {
        this.stockCount = stockCount;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTakeStockId() {
        return takeStockId;
    }

    public void setTakeStockId(String takeStockId) {
        this.takeStockId = takeStockId;
    }

    public String getTakeStoclDetailId() {
        return takeStoclDetailId;
    }

    public void setTakeStoclDetailId(String takeStoclDetailId) {
        this.takeStoclDetailId = takeStoclDetailId;
    }

    public String getOverTimeNumber() {
        return overTimeNumber;
    }

    public void setOverTimeNumber(String overTimeNumber) {
        this.overTimeNumber = overTimeNumber;
    }

    public String getOverTimeRemark() {
        return overTimeRemark;
    }

    public void setOverTimeRemark(String overTimeRemark) {
        this.overTimeRemark = overTimeRemark;
    }

    public String getPartTimeAdventQty() {
        return partTimeAdventQty;
    }

    public void setPartTimeAdventQty(String partTimeAdventQty) {
        this.partTimeAdventQty = partTimeAdventQty;
    }

    public String getShouhuoQty() {
        return shouhuoQty;
    }

    public void setShouhuoQty(String shouhuoQty) {
        this.shouhuoQty = shouhuoQty;
    }
}