package com.wgmf.yxgj.module.business.parttime.model;

import java.util.List;

public class ShopScheduleVoListEntity {

    private boolean checked;

    private String schedulingDay;

    private int week;

    private List<ShopScheduleListEntity> shopScheduleList;

    public String getSchedulingDay() {
        return schedulingDay;
    }

    public void setSchedulingDay(String schedulingDay) {
        this.schedulingDay = schedulingDay;
    }


    public List<ShopScheduleListEntity> getShopScheduleList() {
        return shopScheduleList;
    }

    public void setShopScheduleList(List<ShopScheduleListEntity> shopScheduleList) {
        this.shopScheduleList = shopScheduleList;
    }

    public boolean isChecked() {
        return checked;
    }

    public void setChecked(boolean checked) {
        this.checked = checked;
    }

    public int getWeek() {
        return week;
    }

    private String [] weeks={"一","二","三","四","五","六","日"};

    /**
     * 星期序号转换数字成中文
     * @param week int型星期
     * @return 中文星期
     */
    public String getDecodeWeek(int week) {
        return weeks[week-1];
    }
}
