package com.wgmf.yxgj.module.business.parttime.ui.takestock;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;

import com.wgmf.yxgj.module.business.parttime.R;
import com.wgmf.yxgj.module.business.parttime.model.PartTimeAdventModelEntity;

import java.util.List;

/**
 * 作者：xiep on 2018/3/19 14:24
 * 邮箱：2975837870@qq.com
 */

public class PartTimeTakeStockLockAdapter extends BaseAdapter {
    private Context context;
    private List<PartTimeAdventModelEntity> list;

    PartTimeTakeStockLockAdapter(List<PartTimeAdventModelEntity> list, Context context) {
        this.context = context;
        this.list = list;
    }

    @Override
    public int getCount() {
        return list == null ? 0 : list.size();
    }

    @Override
    public Object getItem(int position) {
        return position;
    }


    @Override
    public long getItemId(int position) {
        return 0;
    }

    class ViewHolder {
        TextView takeStockProductName;
        TextView takeStockStockqty;
        TextView takeStockInvqty;
        TextView takeStockAdventqty;
        TextView takeStockSp;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup arg2) {
        final ViewHolder holder;
        if (convertView == null) {
            holder = new ViewHolder();
            convertView = LayoutInflater.from(context).inflate(R.layout.part_time_take_stock_lock_list_item, null);
            holder.takeStockProductName = (TextView) convertView.findViewById(R.id.take_stock_product_name);
            holder.takeStockStockqty = (TextView) convertView.findViewById(R.id.take_stock_stockqty);
            holder.takeStockInvqty = (TextView) convertView.findViewById(R.id.take_stock_invqty);
            holder.takeStockSp= (TextView) convertView.findViewById(R.id.take_stock_sp);
            holder.takeStockAdventqty = (TextView) convertView.findViewById(R.id.take_stock_adventqty);
            convertView.setTag(holder);
        } else {
            holder = (ViewHolder) convertView.getTag();
        }
        final PartTimeAdventModelEntity data = list.get(position);
        //标题
        holder.takeStockProductName.setText(data.getProductName());
        holder.takeStockStockqty.setText(data.getStockQty());
        //账面
        holder.takeStockInvqty.setText(data.getShouhuoQty());
        //实盘
        holder.takeStockSp.setText(data.getInvQty());
        holder.takeStockAdventqty.setText(data.getAdventQty());
        return convertView;
    }
}