package com.wgmf.yxgj.module.business.reportmodule.model;

/**
 * 上报基本信息 {
 * checkRemark (string, optional):审核备注 ,
 * checkScore (integer, optional):审核分数 ,
 * checkStatus (integer, optional):审核状态 ,
 * checkStatusStr (string, optional):审核状态Str ,
 * dateScope (string, optional):上报期限 ,
 * lastReportTime (string, optional):最后上班时间 ,
 * reportPerson (string, optional):上报人 待上报显示配置人,已上报显示上报人
 * }
 */
public class ReportModelInfoEntity {
    /**
     * 门店Id
     */
    private String shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 上报活动名称
     */
    private String reportName;
    /**
     * 审核备注
     */
    private String checkRemark;
    /**
     * 审核分数
     */
    private String checkScore;
    /**
     * 上报期限
     */
    private String dateScope;
    /**
     * 最后上报时间
     */
    private String lastReportTime;

    /**
     * 上报人 待上报显示配置人,已上报显示上报人
     */
    private String reportPerson;
    /**
     * 状态 0:不可用 1:待审核 2:审核通过 3:审核不通过 4:审核不通过再次提交 5:待上报
     */
    private int checkStatus;
    /**
     * 状态 0:不可用 1:待审核 2:审核通过 3:审核不通过 4:审核不通过再次提交 5:待上报
     */
    private String checkStatusStr;

    public String getCheckRemark() {
        return checkRemark;
    }

    public void setCheckRemark(String checkRemark) {
        this.checkRemark = checkRemark;
    }

    public String getCheckScore() {
        return checkScore;
    }

    public void setCheckScore(String checkScore) {
        this.checkScore = checkScore;
    }

    public String getDateScope() {
        return dateScope;
    }

    public void setDateScope(String dateScope) {
        this.dateScope = dateScope;
    }

    public String getLastReportTime() {
        return lastReportTime;
    }

    public void setLastReportTime(String lastReportTime) {
        this.lastReportTime = lastReportTime;
    }

    public String getReportPerson() {
        return reportPerson;
    }

    public void setReportPerson(String reportPerson) {
        this.reportPerson = reportPerson;
    }

    public int getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(int checkStatus) {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatusStr() {
        return checkStatusStr;
    }

    public void setCheckStatusStr(String checkStatusStr) {
        this.checkStatusStr = checkStatusStr;
    }

    public String getReportName() {
        return reportName;
    }

    public void setReportName(String reportName) {
        this.reportName = reportName;
    }

    public String getShopId() {
        return shopId;
    }

    public void setShopId(String shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }
}