package com.wgmf.yxgj.module.business.reportproblem.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 作者：xiep on 2016/12/27 13:43
 * 邮箱：2975837870@qq.com
 */

public class ReportErrorJsonEntity {
    private String title;//如 “到货误差流程”

    private List<String> url = new ArrayList<>();//七牛图片url

    private Table1 tb1 = new Table1();//到货误差前面的写死的表。

    private List<Table2Item> tb2list = new ArrayList<>();//可扩展的表项

    public class Table1 {
        String peisbch = "";//配送波次号
        String mendmc = "";//门店名称
        //String fahsj = "";//发货时间
        String shouhsj = "";//收货时间
        String shouhrjlxfs = "";//收货人
        String lianxfs = "";//联系方式
        String yingsjs = "";//应收件数
        String shisjs = "";//实收件数
        //以下Spinner的数值，都要减1再赋，因为这里的Spinner的0位是 “--请选择--”
        int waixbzpscd;//外箱包装破损程度(0:无破损 1:有破损 2:严重破损)
        int waixbssfwz;//外箱标识是否完整 (0:完整 1:不完整)
        // int shifdhyc;//是否到货延迟 (0:是 1:否)
        int wuldqsqk;//物流单签收情况(0:已备注破损情况 1:未备注破损情况)

        public void setPeisbch(String peisbch) {
            this.peisbch = peisbch;
        }

        public void setMendmc(String mendmc) {
            this.mendmc = mendmc;
        }

        public void setShouhsj(String shouhsj) {
            this.shouhsj = shouhsj;
        }

        public void setShouhrjlxfs(String shouhrjlxfs) {
            this.shouhrjlxfs = shouhrjlxfs;
        }

        public void setLianxfs(String lianxfs) {
            this.lianxfs = lianxfs;
        }

        public void setYingsjs(String yingsjs) {
            this.yingsjs = yingsjs;
        }

        public void setShisjs(String shisjs) {
            this.shisjs = shisjs;
        }

        public void setWaixbzpscd(int waixbzpscd) {
            this.waixbzpscd = waixbzpscd;
        }

        public void setWaixbssfwz(int waixbssfwz) {
            this.waixbssfwz = waixbssfwz;
        }

        public void setWuldqsqk(int wuldqsqk) {
            this.wuldqsqk = wuldqsqk;
        }
    }

    public class Table2Item {
        String chanpmc = "";//产品名称
        String huodsl = "";//货单数量
        String shifsl = "";//实收数量
        String duanqqk = "";//短缺情况
        int shifch;//是否串货
        String jingsr = "";//经手人
        String waixbh = "";//外箱编码
        String jiandsm = "";//简短说明
        String wuldm = "";//物料代码

        public void setChanpmc(String chanpmc) {
            this.chanpmc = chanpmc;
        }

        public void setHuodsl(String huodsl) {
            this.huodsl = huodsl;
        }

        public void setShifsl(String shifsl) {
            this.shifsl = shifsl;
        }

        public void setDuanqqk(String duanqqk) {
            this.duanqqk = duanqqk;
        }

        public void setShifch(int shifch) {
            this.shifch = shifch;
        }

        public void setJingsr(String jingsr) {
            this.jingsr = jingsr;
        }

        public void setWaixbh(String waixbh) {
            this.waixbh = waixbh;
        }

        public void setJiandsm(String jiandsm) {
            this.jiandsm = jiandsm;
        }

        public void setWuldm(String wuldm) {
            this.wuldm = wuldm;
        }
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setUrl(List<String> url) {
        this.url = url;
    }

    public String getTitle() {
        return title;
    }

    public List<String> getUrl() {
        return url;
    }

    public Table1 getTb1() {
        return tb1;
    }

    public void setTb1(Table1 tb1) {
        this.tb1 = tb1;
    }

    public List<Table2Item> getTb2list() {
        return tb2list;
    }

    public void setTb2list(List<Table2Item> tb2list) {
        this.tb2list = tb2list;
    }
}

